# Validates if a segment name exists POST https://app.unleash-instance.example.com/api/admin/segments/validate Content-Type: application/json Uses the name provided in the body of the request to validate if the given name exists or not Reference: https://docs.getunleash.io/api/validate-segment ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Validates if a segment name exists version: endpoint_segments.validateSegment paths: /api/admin/segments/validate: post: operationId: validate-segment summary: Validates if a segment name exists description: >- Uses the name provided in the body of the request to validate if the given name exists or not tags: - - subpackage_segments parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '204': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Segments_validateSegment_Response_204' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '409': description: >- The provided resource can not be created or updated because it would conflict with the current state of the resource or with an already existing resource, respectively. content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: nameSchema content: application/json: schema: $ref: '#/components/schemas/nameSchema' components: schemas: nameSchema: type: object properties: name: type: string description: The name of the represented object. required: - name Segments_validateSegment_Response_204: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/segments/validate" payload = { "name": "betaUser" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/segments/validate'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"name":"betaUser"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/segments/validate" payload := strings.NewReader("{\n \"name\": \"betaUser\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/segments/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"betaUser\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/segments/validate") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"name\": \"betaUser\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/segments/validate', [ 'body' => '{ "name": "betaUser" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/segments/validate"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"betaUser\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["name": "betaUser"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/segments/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```